import React, { useState } from 'react'
import {sortBy} from "lodash"

import TaskInput from './taskInput'
import TaskList from './taskList'

function AppTodo() {
  let [tasks_ar,setTasksAr] = useState([]);

  const addTask = (_itemTask) => {
    let sort_ar = [...tasks_ar, _itemTask];
    sort_ar = sortBy(sort_ar, "time");
    setTasksAr(sort_ar);
  }

  const removeAllTasks = () => {
    setTasksAr([]);
  }

  const removeSingleTask = (_delId) => {
    let temp_ar = tasks_ar.filter(item => item.id != _delId);
    setTasksAr(temp_ar);
  }

  return (
    <div className="container">
      <h1 className="display-4 text-center">Monkeys to do list</h1>
      <div className="col-lg-6 p-3 mx-auto">
      <TaskInput removeAllTasks={removeAllTasks} addTask={addTask} />
      <TaskList removeSingleTask={removeSingleTask} tasks_ar={tasks_ar} />
      </div>
    </div>
  )
}

export default AppTodo
